Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
mp_monty.cpp File Reference
`#include <botan/bigint.h>`
`#include <botan/internal/mp_core.h>`
`#include <botan/internal/mp_madd.h>`
`#include <botan/internal/mp_asmi.h>`
`#include <botan/internal/ct_utils.h>`
`#include <botan/mem_ops.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
void | Botan::bigint_monty_mul (BigInt &z, const BigInt &x, const BigInt &y, const word p[], size_t p_size, word p_dash, word workspace[])
void | Botan::bigint_monty_redc (word z[], const word p[], size_t p_size, word p_dash, word workspace[])
void | Botan::bigint_monty_sqr (BigInt &z, const BigInt &x, const word p[], size_t p_size, word p_dash, word workspace[])